{% extends 'core.html' %} 
{% block title %}Reportes{% endblock %} 
{% load crispy_forms_tags %}
{% block staticload %}
{% load static %} 
{% endblock %} 

{% block content %}
<div class='container mt-5 mb-5'>
  <div class="container mb-5">
    <h1 class="display-3">
      <span style="font-size: 1em; color: #dc3545;">
        <i class="fas fa-ad" aria-hidden="true"></i>
      </span>
      Publicaciones Deshabilitadas
    </h1>
  </div>
  {% if publications %}
  <div class="container my-2">
      <div class="row">
          <div clas="col-12 col-sm-12 col-md-12 col-lg-12 col-xl-12">
            <a class="btn btn-danger" href="{% url 'delete-all-disabled-publications' %}">Eliminar Todas</a>
          </div>
      </div>
  </div>
  {% for publication in publications %} 
  <div class="card">
    <div class="card-body">
            <div class="body p-3">
                <div class="row">
                    <div class="col-12 col-sm-12 col-md-12 col-lg-3 col-xl-3">
                        <a href="{{publication.get_absolute_url}}"><img class="img-thumbnail" style="max-height:200px" src="{{publication.photo.url}}"/></a>
                    </div>
                    <div class="col-12 col-sm-12 col-md-12 col-lg-6 col-xl-6">
                        <div class="row">
                            <div class="col-12"><h4><a class="text-dark" href="{{publication.get_absolute_url}}">{{ publication.product_name }}</h4></a></div>
                        </div>
                        <div class="row">
                            <div class="col-12"><h6><em>{{ publication.slug }}</em></h6></div>
                        </div>
                        <div class="row">
                            <div class="col-12"><p>{{ publication.product_description }}</p></div>
                        </div>
                    </div>
                    <div class="col-12 col-sm-12 col-md-12 col-lg-3 col-xl-3">
                        <div class="row mt-5">
                            <div class="col-12"><h4 class="text-warning text-right"><strong>$ {{ publication.price }}</strong></h4></div>
                        </div>
                        <div class="row">
                            <div class="col-12"><p class="text-right">{{ publication.publication_date }}</p></div>
                        </div>
                    </div>
                </div>
                <div class="row">
                    <div class="col-12 col-sm-12 col-md-12 col-lg-12 col-xl-12 text-right">
                        <a class="btn btn-danger" href="{% url 'delete-disabled-publications' pk=publication.id %}">Eliminar</a>
                    </div>
                </div>
        </div>      
      <!-- Report Date -->
  </div>
  {% endfor %}
  {% else %}
  <div class="card">
    <div class="card-body text-center">
      <p>No hay ninguna publicación deshabilitada</p>
    </div>
  </div>
  {% endif %}
  <!-- Pagination Container -->
  <div class='container'>
    <div class="row">
      <div class="col-12">
        {% if publications.has_other_pages %}
          <ul class="pagination">
            {% if publications.has_previous %}
            <li class="page-item"><a class="page-link" href="?page={{ publications.previous_page_number }}">Anterior</a></li>
            {% else %}
            <li class="disabled page-item"><span class="page-link">Anterior</span></li>
            {% endif %}
            {% for i in publications.paginator.page_range %}
            {% if publications.number == i %}
            <li class="active page-item"><span class="page-link">{{ i }} <span class="sr-only">(current)</span></span></li>
            {% else %}
            <li class="page-item"><a class="page-link" href="?page={{ i }}">{{ i }}</a></li>
            {% endif %}
            {% endfor %}
            {% if publications.has_next %}
            <li class="page-item"><a class="page-link" href="?page={{ publications.next_page_number }}">Siguiente</a></li>
            {% else %}
            <li class="disabled page-item"><span class="page-link">Siguiente</span></li>
            {% endif %}
        </ul>
        {% endif %}      
      </div>
    </div>
  </div>
  <!-- Pagination Container -->
</div>
{% endblock %}

{% block scriptfiles %}
{% endblock %}